ORIGTARGZ.DE(1)

BEZEICHNUNG
origtargz - ruft den Original-Tarball eines Debian-Pakets aus verschiedenen Quellen ab und entpackt ihn.

ÜBERSICHT

origtargz [OPTIONEN] [--unpack[=no|once|yes]]
origtargz --help

BESCHREIBUNG
origtargz lädt den Original-Tarball eines Debian-Pakets herunter und entpackt ihn außerdem in das aktuelle Verzeichnis, falls es nur ein debian-Verzeichnis enthält. origtargz wird hauptsächlich beim Auschecken von reinen Debian-Verzeichnissen benutzt, aber es ist auch als allgemeiner Wrapper zum Herunterladen von Tarbällen nützlich. Die Versionsnummer des Tarballs, der heruntergeladen werden soll, wird von debian/changelog festgelegt. Es sollte von der obersten Verzeichnisebene eines entpackten Debian-Quellpakets aufgerufen werden.

Es werden verschiedene Speicherorte zum Herunterladen ausprobiert:

•   Zuerst wird nach einer existierenden Datei gesucht.

•   Es werden mit --path angegebene Verzeichnisse durchsucht.

•   pristine-tar wird probiert.

•   pristine-lfs is tried.

•   Wenn apt-cache showsrc eine passende Version meldet, wird apt-get source probiert.

•   Am Ende wird uscan --download --download-current-version versucht.

Wenn origtargz den Original-Tarball entpacken soll, wird es alle Dateien und Verzeichnisse außer dem Debian-Verzeichnis und den VCS-Depotverzeichnissen aus dem aktuellen Verzeichnis entfernen. Beachten Sie, dass dadurch alle nicht übergebenen Änderungen für das benutzte Patch-System (z.B. Quellformat »3.0 (quilt)«) verworfen werden. Wenn kein Patch-System benutzt wird (das Originalquellformat »1.0«), werden sogar alle Patches des Pakets entfernt. Einige VCS-Steuerdateien außerhalb von debian/ werden aufbewahrt (.bzr-builddeb, .bzr-ignore, .gitignore, .hgignore), falls sie im VCS gespeichert sind.

Standardverhalten ist es, den Original-Tarball zu entpacken, falls das derzeitige Verzeichnis mit Ausnahme des debian-Verzeichnisses und der oben erwähnten VCS-Dateien leer ist.

ANMERKUNGEN
Obwohl origtargz »targz« heißt, funktioniert es mit jedem für den Tarball benutzten Komprimierungsverfahren.

Ein ähnliches Werkzeug zum Entpacken von Tarbällen ist uupdate(1). uupdate erstellt ein neues Arbeitsverzeichnis, entpackt den Tarball und wendet die Debian-.diff.gz-Änderungen an. Demgegenüber benutzt origtargz das aktuelle Verzeichnis und behält die VCS-Metadaten bei.

Für Debian-Paketdepots, die die ganze Ursprungsquelle beibehalten, sollten andere Werkzeuge benutzt werden, um ein Upgrade des Depots von dem neuen Tarball durchzuführen. Siehe zum Beispiel gbp-import-orig(1) und svn-upgrade(1). origtargz ist immer noch zum Herunterladen des aktuellen Tarballs nützlich.

OPTIONEN

-p, --path Verzeichnis
    fügt Verzeichnis der Liste von Orten hinzu, an denen nach einem existierenden Tarball gesucht wird. Wenn er gefunden wird, wird nach Möglichkeit ein harter, andernfalls ein symbolischer Verweis erzeugt.

-u, --unpack[=no|once|yes]
    entpackt den heruntergeladenen Original-Tarball in das aktuelle Verzeichnis und ersetzt alles außer dem Debian-Verzeichnis. Existierende Dateien werden entfernt, mit Ausnahme der debian/ und VCS-Dateien. Aufbewahrt werden: .bzr, .bzrignore, .bzr-builddeb, .git, .gitignore, .hg, .hgignore, _darcs und .svn.

    no  entpackt nicht den Original-Tarball.

    once (Vorgabe, wenn nicht --unpack benutzt wird)
        Falls das aktuelle Verzeichnis nur ein debian-Verzeichnis (und möglicherweise ein paar Dateien, deren Name mit Punkt beginnt) enthält, wird der Original-Tarball entpackt. Dies ist das Standardverhalten.

    yes (Vorgabe für --unpack ohne Argument)
        entpackt immer den Original-Tarball.

-d, --download-only
    Alias für --unpack=no

-t, --tar-only
    Wenn apt-get source benutzt wird, wird --tar-only daran übergeben. Standardmäßig wird die vollständige Quelle einschließlich der .dsc- und .diff.gz- oder .debian.tar.gz-Bestandteile heruntergeladen. Daher kann debdiff verwendet werden, um den Unterschied zwischen dem letzten Upload und dem nächsten zu ermitteln. Mit --tar-only wird nur die .orig.tar.*-Datei heruntergeladen.

--clean
    entfernt existierende Dateien wie bei --unpack. Beachten Sie, dass dies wie --unpack die Ursprungsdateien auch dann entfernt, wenn sie im VCS gespeichert sind.

SIEHE AUCH
debcheckout(1), gbp-import-orig(1), pristine-tar(1), svn-upgrade(1), uupdate(1)

AUTOR
origtargz und diese Handbuchseite wurden von Christoph Berg <myon@debian.org> geschrieben.